import java.io.InputStream;
import javax.xml.crypto.*;
import javax.xml.crypto.dom.*;
import javax.xml.crypto.enc.*;
import javax.xml.crypto.enc.dom.*;
import org.w3c.dom.Element;

/**
 * This is an example of decrypting an XML element. 
 *
 * Portions Copyright 2003, 2011 IBM Corporation. All rights reserved.
 * Portions Copyright 2003, 2011, Oracle and/or its affiliates. All rights reserved.
 */
public class DataDecryptor {

    public static void main(String[] args) throws Exception {

	// Create DOM factory
	XMLEncryptionFactory fac = XMLEncryptionFactory.getInstance();

	// Create decryption context
	KeySelector ks = null; //XXX - code missing to create KeySelector
	Element elem = null; //XXX - code missing to identify element to decrypt
	XMLDecryptContext xdc = new DOMDecryptContext(ks, elem);

	// Unmarshal EncryptedData
	EncryptedData ed = (EncryptedData) fac.unmarshalEncryptedType(xdc);

	// Decrypt EncryptedData
	InputStream decData = ed.decrypt(xdc);
    }
}
